| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
AppliedBuiltinTypeAnnotations Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure AppliedBuiltinTypeAnnotations defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | AppliedBuiltinTypeAnnotations ()
| Default constructor.
eProsima_user_DllExport | ~AppliedBuiltinTypeAnnotations ()
| Default destructor.
eProsima_user_DllExport | AppliedBuiltinTypeAnnotations (const AppliedBuiltinTypeAnnotations &x)
| Copy constructor.
eProsima_user_DllExport | AppliedBuiltinTypeAnnotations (AppliedBuiltinTypeAnnotations &&x) noexcept
| Move constructor.
eProsima_user_DllExport AppliedBuiltinTypeAnnotations & | operator= (const AppliedBuiltinTypeAnnotations &x)
| Copy assignment.
eProsima_user_DllExport AppliedBuiltinTypeAnnotations & | operator= (AppliedBuiltinTypeAnnotations &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const AppliedBuiltinTypeAnnotations &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const AppliedBuiltinTypeAnnotations &x) const
| Comparison operator.
eProsima_user_DllExport void | verbatim (const eprosima::fastcdr::optional< AppliedVerbatimAnnotation > &_verbatim)
| This function copies the value in member verbatim.
eProsima_user_DllExport void | verbatim (eprosima::fastcdr::optional< AppliedVerbatimAnnotation > &&_verbatim)
| This function moves the value in member verbatim.
eProsima_user_DllExport const eprosima::fastcdr::optional< AppliedVerbatimAnnotation > & | verbatim () const
| This function returns a constant reference to member verbatim.
eProsima_user_DllExport eprosima::fastcdr::optional< AppliedVerbatimAnnotation > & | verbatim ()
| This function returns a reference to member verbatim.

## Detailed Description

This class represents the structure AppliedBuiltinTypeAnnotations defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ AppliedBuiltinTypeAnnotations() [1/3]

eProsima_user_DllExport AppliedBuiltinTypeAnnotations | ( |  | ) |

inline

Default constructor.

## ◆ ~AppliedBuiltinTypeAnnotations()

eProsima_user_DllExport ~AppliedBuiltinTypeAnnotations | ( |  | ) |

inline

Default destructor.

## ◆ AppliedBuiltinTypeAnnotations() [2/3]

eProsima_user_DllExport AppliedBuiltinTypeAnnotations | ( | const AppliedBuiltinTypeAnnotations & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object AppliedBuiltinTypeAnnotations that will be copied.

## ◆ AppliedBuiltinTypeAnnotations() [3/3]

eProsima_user_DllExport AppliedBuiltinTypeAnnotations | ( | AppliedBuiltinTypeAnnotations && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object AppliedBuiltinTypeAnnotations that will be copied.

## Member Function Documentation

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const AppliedBuiltinTypeAnnotations & | x | ) | const

inline

Comparison operator.

Parameters

  x | AppliedBuiltinTypeAnnotations object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport AppliedBuiltinTypeAnnotations & operator= | ( | AppliedBuiltinTypeAnnotations && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object AppliedBuiltinTypeAnnotations that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport AppliedBuiltinTypeAnnotations & operator= | ( | const AppliedBuiltinTypeAnnotations & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object AppliedBuiltinTypeAnnotations that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const AppliedBuiltinTypeAnnotations & | x | ) | const

inline

Comparison operator.

Parameters

  x | AppliedBuiltinTypeAnnotations object to compare.

## ◆ verbatim() [1/4]

eProsima_user_DllExport eprosima::fastcdr::optional< AppliedVerbatimAnnotation > & verbatim | ( |  | ) |

inline

This function returns a reference to member verbatim.

Returns
  Reference to member verbatim

## ◆ verbatim() [2/4]

eProsima_user_DllExport const eprosima::fastcdr::optional< AppliedVerbatimAnnotation > & verbatim | ( |  | ) | const

inline

This function returns a constant reference to member verbatim.

Returns
  Constant reference to member verbatim

## ◆ verbatim() [3/4]

eProsima_user_DllExport void verbatim | ( | const eprosima::fastcdr::optional< AppliedVerbatimAnnotation > & | _verbatim | ) |

inline

This function copies the value in member verbatim.

Parameters

  _verbatim | New value to be copied in member verbatim

## ◆ verbatim() [4/4]

eProsima_user_DllExport void verbatim | ( | eprosima::fastcdr::optional< AppliedVerbatimAnnotation > && | _verbatim | ) |

inline

This function moves the value in member verbatim.

Parameters

  _verbatim | New value to be moved in member verbatim

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp